Bug 134570 - FILEOPEN: DOC: Numbering list is not displayed
Summary: FILEOPEN: DOC: Numbering list is not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-06 13:53 UTC by Xisco Faulí
Modified: 2020-07-14 15:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master (712.59 KB, image/png)
2020-07-06 13:53 UTC, Xisco Faulí
Details
another file affected by this issue (19.00 KB, application/msword)
2020-07-06 14:34 UTC, Xisco Faulí
Details
Comparison MSO 2010 and LibreOffice 7.1 master ( file attached ) (159.66 KB, image/png)
2020-07-06 14:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-06 13:53:06 UTC
Created attachment 162714 [details]
Comparison MSO 2010 and LibreOffice 7.1 master

Steps to reproduce:
1. Open attachment 91719 [details] from bug 73416

-> Numbers in the numbering list are not displayed. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-06 13:54:08 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7e605bc3ff0cfea76be4683f0170d821fcae7203

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2020-05-19 10:24:35 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-06-17 11:19:35 +0200
commit	7e605bc3ff0cfea76be4683f0170d821fcae7203 (patch)
tree	2750d6daee2d016aaad49361dd700e9ad2751152
parent	e52263a8d3e61eae82b6345010162427fc5ed7ad (diff)
tdf#120394: doc import: use list format string

Bisected with: bibisect-linux64-7.1

Adding Cc: to Vasily Melenchuk
Comment 2 Xisco Faulí 2020-07-06 14:34:30 UTC
Created attachment 162718 [details]
another file affected by this issue

Another file affected. in this case, the numbers are displayed but all of them are 5
Comment 3 Xisco Faulí 2020-07-06 14:35:08 UTC
Created attachment 162719 [details]
Comparison MSO 2010 and LibreOffice 7.1 master ( file attached )
Comment 4 Xisco Faulí 2020-07-07 10:52:11 UTC
attachment 90834 [details] from bug 40787 is also affected by this issue
Comment 5 Xisco Faulí 2020-07-07 13:46:59 UTC
attachment 102005 [details] from bug 76460 is also affected by this issue
Comment 6 Commit Notification 2020-07-12 19:57:04 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b88b681743b1278b4fa44bef4d5bce3e2cb49316

tdf#134570: doc import: list level format string fixed

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-07-13 10:02:58 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 00be56d9db396d284f66ab723d6fbb898b888dfb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Vasily, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-07-13 11:27:07 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/da5782a8348816adafe7894126cbe20295dd5d8e

tdf#134570: doc import: list level format string fixed

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-07-14 15:39:33 UTC
Issue not reproducible in

Version: 6.4.6.0.0+
Build ID: 14a43b44efd196005a648b9a20954b71db8d508d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

so no need for backport to libreoffice-6-4 branch